# FluidSettings(bpy_struct)

base class — `bpy_struct`

subclasses — `ControlFluidSettings`, `DomainFluidSettings`, `FluidFluidSettings`, `InflowFluidSettings`, `ObstacleFluidSettings`, `OutflowFluidSettings`, `ParticleFluidSettings`

class `bpy.types.``FluidSettings`(bpy_struct)

  Fluid simulation settings for an object taking part in the simulation

  `type`

    Type of participation in the fluid simulation

    - `NONE` None.
    - `DOMAIN` Domain, Bounding box of this object represents the computational domain of the fluid simulation.
    - `FLUID` Fluid, Object represents a volume of fluid in the simulation.
    - `OBSTACLE` Obstacle, Object is a fixed obstacle.
    - `INFLOW` Inflow, Object adds fluid to the simulation.
    - `OUTFLOW` Outflow, Object removes fluid from the simulation.
    - `PARTICLE` Particle, Object is made a particle system to display particles generated by a fluidsim domain object.
    - `CONTROL` Control, Object is made a fluid control mesh, which influences the fluid.

    Type: | enum in [‘NONE’, ‘DOMAIN’, ‘FLUID’, ‘OBSTACLE’, ‘INFLOW’, ‘OUTFLOW’, ‘PARTICLE’, ‘CONTROL’], default ‘NONE’

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`FluidSimulationModifier.settings` |